package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Configurations that appear only when DSL WAN port is selected.
 */
@ApiModel(description = "Configurations that appear only when DSL WAN port is selected.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class IptvDslOpenApiVo   {
  @JsonProperty("modulationType")
  private Integer modulationType;

  @JsonProperty("ipPhoneVpi")
  private Integer ipPhoneVpi;

  @JsonProperty("ipPhoneVci")
  private Integer ipPhoneVci;

  @JsonProperty("iptvVpi")
  private Integer iptvVpi;

  @JsonProperty("iptvVci")
  private Integer iptvVci;

  public IptvDslOpenApiVo modulationType(Integer modulationType) {
    this.modulationType = modulationType;
    return this;
  }

  /**
   * Modulation Type should be a value as follows: 0: ADSL, 1: VDSL.
   * @return modulationType
  */
  @ApiModelProperty(required = true, value = "Modulation Type should be a value as follows: 0: ADSL, 1: VDSL.")
  @NotNull


  public Integer getModulationType() {
    return modulationType;
  }

  public void setModulationType(Integer modulationType) {
    this.modulationType = modulationType;
  }

  public IptvDslOpenApiVo ipPhoneVpi(Integer ipPhoneVpi) {
    this.ipPhoneVpi = ipPhoneVpi;
    return this;
  }

  /**
   * IP Phone VPI should be a number between 0 and 255.
   * @return ipPhoneVpi
  */
  @ApiModelProperty(value = "IP Phone VPI should be a number between 0 and 255.")


  public Integer getIpPhoneVpi() {
    return ipPhoneVpi;
  }

  public void setIpPhoneVpi(Integer ipPhoneVpi) {
    this.ipPhoneVpi = ipPhoneVpi;
  }

  public IptvDslOpenApiVo ipPhoneVci(Integer ipPhoneVci) {
    this.ipPhoneVci = ipPhoneVci;
    return this;
  }

  /**
   * IP Phone VCI should be a number between 0 and 35535.
   * @return ipPhoneVci
  */
  @ApiModelProperty(value = "IP Phone VCI should be a number between 0 and 35535.")


  public Integer getIpPhoneVci() {
    return ipPhoneVci;
  }

  public void setIpPhoneVci(Integer ipPhoneVci) {
    this.ipPhoneVci = ipPhoneVci;
  }

  public IptvDslOpenApiVo iptvVpi(Integer iptvVpi) {
    this.iptvVpi = iptvVpi;
    return this;
  }

  /**
   * IPTV VPI should be a number between 0 and 255.
   * @return iptvVpi
  */
  @ApiModelProperty(value = "IPTV VPI should be a number between 0 and 255.")


  public Integer getIptvVpi() {
    return iptvVpi;
  }

  public void setIptvVpi(Integer iptvVpi) {
    this.iptvVpi = iptvVpi;
  }

  public IptvDslOpenApiVo iptvVci(Integer iptvVci) {
    this.iptvVci = iptvVci;
    return this;
  }

  /**
   * IPTV VCI should be a number between 0 and 35535.
   * @return iptvVci
  */
  @ApiModelProperty(value = "IPTV VCI should be a number between 0 and 35535.")


  public Integer getIptvVci() {
    return iptvVci;
  }

  public void setIptvVci(Integer iptvVci) {
    this.iptvVci = iptvVci;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    IptvDslOpenApiVo iptvDslOpenApiVo = (IptvDslOpenApiVo) o;
    return Objects.equals(this.modulationType, iptvDslOpenApiVo.modulationType) &&
        Objects.equals(this.ipPhoneVpi, iptvDslOpenApiVo.ipPhoneVpi) &&
        Objects.equals(this.ipPhoneVci, iptvDslOpenApiVo.ipPhoneVci) &&
        Objects.equals(this.iptvVpi, iptvDslOpenApiVo.iptvVpi) &&
        Objects.equals(this.iptvVci, iptvDslOpenApiVo.iptvVci);
  }

  @Override
  public int hashCode() {
    return Objects.hash(modulationType, ipPhoneVpi, ipPhoneVci, iptvVpi, iptvVci);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class IptvDslOpenApiVo {\n");
    
    sb.append("    modulationType: ").append(toIndentedString(modulationType)).append("\n");
    sb.append("    ipPhoneVpi: ").append(toIndentedString(ipPhoneVpi)).append("\n");
    sb.append("    ipPhoneVci: ").append(toIndentedString(ipPhoneVci)).append("\n");
    sb.append("    iptvVpi: ").append(toIndentedString(iptvVpi)).append("\n");
    sb.append("    iptvVci: ").append(toIndentedString(iptvVci)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

